Home > FAQ > What version of After Effects do I need?

What version of After Effects do I need?

Officially, Render Boss supports After Effects CC 2019 and 2018.

However, it should work all the way down to CC 2014 (however we don't test updates on versions earlier than 2018).

Unfortunately any version older than CC 2014 does not contain the necessary elements for Render Boss to work properly

Support Home | Manage Account